<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class DocumentacionCliente extends Model
{
    use HasFactory;
    protected $table = 'documentacionesclientes';
    
    protected $fillable=[
        'nombre',
        'mime_type',
        'tamanio_bytes',
        'extension',
        'cliente_id',
        'profesional_id',
    ];

    public function cliente()
    {
        return $this->belongsTo(Cliente::class, 'cliente_id','id');
    }
    public function profesional()
    {
        return $this->belongsTo(Profesional::class, 'profesional_id','id');
    }

}
